import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;

public class Path extends Frame  {
    
  public static void main(String[] args) {
    new Path();
  }

  public Path() {
    setSize(500, 400);
    setLocation(200, 200);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });
    setVisible(true);
  }
  
  public void paint(Graphics g) {
    Graphics2D g2 = (Graphics2D)g;
    
    GeneralPath p = new GeneralPath();
    p.moveTo(50, 50);
    p.lineTo(70, 44);
    p.curveTo(100, 10, 140, 80, 160, 80);
    p.lineTo(190, 40);
    p.lineTo(200, 56);
    p.quadTo(100, 150, 70, 60);
    p.closePath();
    g2.draw(p);
  }
}
